curl --request PATCH \
--url https://api.staging.kathan.tech/campaign/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"name": "<string>",
"scheduleStartTime": "<string>",
"scheduleEndTime": "<string>",
"max_concurrency": 100,
"retry_policy": {},
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"campaign_context": "<string>",
"opening_message_template": "<string>",
"use_returning_greeting": true,
"use_short_term_summaries": true,
"short_term_summaries_limit": 123,
"machine_detection_timeout_seconds": 31,
"recipient_list_id": "<string>",
"recipients": [
{
"phone_number": "<string>",
"metadata": {},
"assistant_overrides": {}
}
]
}
'{
"id": "<string>",
"name": "<string>",
"assistant_id": "<string>",
"channel": "<string>",
"phone_number_id": "<string>",
"status": "<string>",
"max_concurrency": 123,
"retry_policy": {},
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"assistant_name": "<string>",
"caller_id_number": "<string>",
"schedule_start_time": "<string>",
"schedule_end_time": "<string>",
"campaign_context": "<string>",
"opening_message_template": "<string>",
"use_returning_greeting": false,
"use_short_term_summaries": false,
"short_term_summaries_limit": 123,
"machine_detection_timeout_seconds": 123,
"recipient_list_id": "<string>",
"recipient_list_name": "<string>",
"recipient_list_row_count": 123,
"counts": {},
"created_at": "<string>",
"updated_at": "<string>"
}curl --request PATCH \
--url https://api.staging.kathan.tech/campaign/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"name": "<string>",
"scheduleStartTime": "<string>",
"scheduleEndTime": "<string>",
"max_concurrency": 100,
"retry_policy": {},
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"campaign_context": "<string>",
"opening_message_template": "<string>",
"use_returning_greeting": true,
"use_short_term_summaries": true,
"short_term_summaries_limit": 123,
"machine_detection_timeout_seconds": 31,
"recipient_list_id": "<string>",
"recipients": [
{
"phone_number": "<string>",
"metadata": {},
"assistant_overrides": {}
}
]
}
'{
"id": "<string>",
"name": "<string>",
"assistant_id": "<string>",
"channel": "<string>",
"phone_number_id": "<string>",
"status": "<string>",
"max_concurrency": 123,
"retry_policy": {},
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"assistant_name": "<string>",
"caller_id_number": "<string>",
"schedule_start_time": "<string>",
"schedule_end_time": "<string>",
"campaign_context": "<string>",
"opening_message_template": "<string>",
"use_returning_greeting": false,
"use_short_term_summaries": false,
"short_term_summaries_limit": 123,
"machine_detection_timeout_seconds": 123,
"recipient_list_id": "<string>",
"recipient_list_name": "<string>",
"recipient_list_row_count": 123,
"counts": {},
"created_at": "<string>",
"updated_at": "<string>"
}API key authentication.
Required user id for API key requests.
Update campaign fields only. Use action endpoints for start/pause/save_draft.
1 <= x <= 200Show child attributes
3 <= x <= 60Show child attributes
Successful Response
Read-only. Server-managed: draft | running | paused | completed
Show child attributes
Show child attributes
Was this page helpful?